Bug 1304731 - gmic FTBFS: CImg.h:37212:14: internal compiler error: in rewrite_use_nonlinear_expr, at tree-ssa-loop-ivopts.c:7099
gmic FTBFS: CImg.h:37212:14: internal compiler error: in rewrite_use_nonlinea...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1307541
  Show dependency treegraph
 
Reported: 2016-02-04 08:32 EST by Rex Dieter
Modified: 2016-03-30 21:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-27 03:49:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 68021 None None None 2016-02-04 08:39 EST

  None (edit)
Description Rex Dieter 2016-02-04 08:32:51 EST
gmic currently FTBFS on i686 with:

In file included from gmic.h:171:0,
                 from gmic.cpp:2129:
./CImg.h: In member function 'cimg_library::CImg<T>& cimg_library::CImg<T>::draw_circle(int, int, int, const tc*, float) [with tc = unsigned char; T = unsigned char]':
./CImg.h:37212:14: internal compiler error: in rewrite_use_nonlinear_expr, at tree-ssa-loop-ivopts.c:7099
     CImg<T>& draw_circle(const int x0, const int y0, int radius,
              ^~~~~~~~~~~
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.

Full build logs here,
https://koji.fedoraproject.org/koji/taskinfo?taskID=12824914
Comment 1 Rex Dieter 2016-02-04 08:33:41 EST
CC'ing gmic maintainer
Comment 2 Marek Polacek 2016-02-04 08:39:38 EST
Likely PR68021.
Comment 3 Daniel Berrange 2016-02-04 08:40:20 EST
New gcc versions have often tripped up gmic in the past. First thing is probably to update to latest gmic to see if it fixes the issue.
Comment 4 Rex Dieter 2016-02-04 09:44:31 EST
I suspect this may affect anything that includes the CImg.h header
Comment 5 Jan Kurik 2016-02-24 09:24:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Jakub Jelinek 2016-02-27 03:49:05 EST
Should be fixed in gcc-6.0.0-0.12.fc24.

Note You need to log in before you can comment on or make changes to this bug.